Subject: Re: [RFC/PATCH 1/5] gettext: fix bug in git-sh-i18n's eval_gettext() by using envsubst(1)

From: Johannes Sixt <[email-masked]>
Date: Tue, 09 Nov 2010 10:47:23 +0100

Am 11/9/2010 10:35, schrieb Ævar Arnfjörð Bjarmason:
> On Tue, Nov 9, 2010 at 08:33, Johannes Sixt <[email-masked]> wrote:
>> Am 11/8/2010 23:39, schrieb Ævar Arnfjörð Bjarmason:
>>>     eval_gettext () {
>>>       gettext "$1" | (export PATH `envsubst --variables "$1"`; envsubst "$1")
>>>     }
>>
>> So, for every message printed, you have at least 3 fork()s (usually even
>> more)! I'm not happy about that. You *must* avoid this at least for
>> NO_GETTEXT builds, but if you can reduce them even for no-NO_GETTEXT
>> builds, it would be great.
> 
> Why is that a "*must*"?
...
> But maybe you have reason to think otherwise? I haven't noticed any
> noticable slowdowns from doing it this way, but maybe I've been
> looking at the wrong thing.

You didn't do your timings in Windows, did you? Every fork() that you can
avoid is a win.

-- Hannes